import install
from Facet import GetSidebar, MultiToc, addGetSidebar, manage_addGetSidebar, addMultiToc, manage_addMultiToc
# Silva
from Products.Silva.ExtensionRegistry import extensionRegistry
from Products.SilvaMetadata.Compatibility import registerTypeForMetadata
from Products.SilvaExternalSources.ExternalSource import availableSources  

def initialize(context):
    extensionRegistry.register(
        'SilvaFacet', 'Silva Facets', context,
        [],
        install, depends_on='SilvaExternalSources')

    context.registerClass(
        GetSidebar,
        constructors = (
            addGetSidebar,
            manage_addGetSidebar
            ),
        icon = "www/facet.png"
        )
 
    context.registerClass(
        MultiToc,
        constructors = (
            addMultiToc,
            manage_addMultiToc
            ),
        icon = "www/facet.png"
        )

